Package org.apache.naming

## Class LookupRef

- java.lang.Object
- - javax.naming.Reference
  - - org.apache.naming.AbstractRef
    - - org.apache.naming.LookupRef

All Implemented Interfaces:
  `Serializable`, `Cloneable`

    public class LookupRef
    extends AbstractRef

Represents a reference to lookup.

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `LOOKUP_NAME` JNDI name for the lookup

### Fields inherited from class javax.naming.Reference

`addrs, classFactory, classFactoryLocation, className`

### Constructor Summary

Constructors
`LookupRef​(String resourceType, String lookupName)`
`LookupRef​(String resourceType, String factory, String factoryLocation, String lookupName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `getDefaultFactoryClassName()`

### Methods inherited from class org.apache.naming.AbstractRef

`getFactoryClassName, toString`

### Methods inherited from class javax.naming.Reference

`add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### LOOKUP_NAME

    public static final String LOOKUP_NAME

JNDI name for the lookup

See Also:
  Constant Field Values

### Constructor Detail

#### LookupRef

    public LookupRef​(String resourceType,
                     String lookupName)

#### LookupRef

    public LookupRef​(String resourceType,
                     String factory,
                     String factoryLocation,
                     String lookupName)

### Method Detail

#### getDefaultFactoryClassName

    protected String getDefaultFactoryClassName()

Specified by:
  `getDefaultFactoryClassName` in class `AbstractRef`